import request from '@/utils/request'

// 查询项目用户列表
export function listSurProjectUserInfo(query) {
  return request({
    url: '/project/surProjectUserInfo/list',
    method: 'get',
    params: query
  })
}

// 查询项目用户详细
export function getSurProjectUserInfo(Id) {
  return request({
    url: '/project/surProjectUserInfo/' + Id,
    method: 'get'
  })
}

// 新增项目用户
export function addSurProjectUserInfo(data) {
  return request({
    url: '/project/surProjectUserInfo',
    method: 'post',
    data: data
  })
}

// 修改项目用户
export function updateSurProjectUserInfo(data) {
  return request({
    url: '/project/surProjectUserInfo',
    method: 'put',
    data: data
  })
}

// 删除项目用户
export function delSurProjectUserInfo(Id) {
  return request({
    url: '/project/surProjectUserInfo/' + Id,
    method: 'delete'
  })
}

// 查询用户
export function findUserByDeptId(query) {
  return request({
    url: '/project/surProjectUserInfo/findUserByDeptId',
    method: 'get',
    params: query
  })
}
